aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README8
-rwxr-xr-xmake-tarball.sh19
-rw-r--r--pspax.c4
3 files changed, 16 insertions, 15 deletions
diff --git a/README b/README
index a162056..12ffb7e 100644
--- a/README
+++ b/README
@@ -42,11 +42,11 @@ The format modifiers for the -F option are:
Usage: pspax [options]
Options:
- -a, --all × Show all processes
+ -a, --all * Show all processes
- -B, --nobanner × Don't display the header
- -h, --help × Print this help and exit
- -V, --version × Print version and exit
+ -B, --nobanner * Don't display the header
+ -h, --help * Print this help and exit
+ -V, --version * Print version and exit
If pspax was compiled with CFLAGS += -DWANT_SYSCAP and LDFLAGS +=- lcap
it will also list runtime capabilities If extended attribute support is
diff --git a/make-tarball.sh b/make-tarball.sh
index bcb7aeb..715abe4 100755
--- a/make-tarball.sh
+++ b/make-tarball.sh
@@ -5,12 +5,13 @@ if [[ $# -ne 1 ]] ; then
exit 1
fi
-ver=$1
-bn=pax-utils-${ver}
-[[ -d ${bn} ]] && rm -r ${bn}
-mkdir ${bn} || exit 1
-cp -r Makefile README *.[ch] man ${bn}/ || exit 1
-rm -rf ${bn}/man/CVS
-tar -jcf ${bn}.tar.bz2 ${bn} || exit 1
-rm -r ${bn} || exit 1
-du -b ${bn}.tar.bz2
+ver="$1"
+bn="$(basename $(pwd))-${ver}"
+[[ -d "${bn}" ]] && rm -r "${bn}"
+mkdir "${bn}" || exit 1
+cp -r Makefile README *.[ch] man "${bn}/" || exit 1
+rm -rf "${bn}"/man/CVS
+tar -jcf "${bn}".tar.bz2 ${bn} || exit 1
+rm -r "${bn}" || exit 1
+du -b "${bn}".tar.bz2
+tar jvtf "${bn}".tar.bz2
diff --git a/pspax.c b/pspax.c
index 90966d5..ac81347 100644
--- a/pspax.c
+++ b/pspax.c
@@ -41,7 +41,7 @@
#define PROC_DIR "/proc"
-static const char *rcsid = "$Id: pspax.c,v 1.19 2005/06/03 15:03:25 solar Exp $";
+static const char *rcsid = "$Id: pspax.c,v 1.20 2005/06/08 04:34:59 solar Exp $";
#define argv0 "pspax"
@@ -219,7 +219,7 @@ static void pspax(void)
if (show_banner)
printf("%-8s %-6s %-6s %-4s %-10s %-16s %-4s %-4s\n",
- "USER", "PID", "PAX", "MAPS", "ELF_TYPE", "NAME", "CAPS", "ATTR");
+ "USER", "PID", "PAX", "MAPS", "ETYPE", "NAME", "CAPS", "ATTR");
while ((de = readdir(dir))) {
errno = 0;